package com.ejie.ad74a.dao.test.basic;

import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Rollback;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.transaction.annotation.Transactional;

import com.ejie.ad74a.dao.EstadosDao;
import com.ejie.ad74a.dao.EstadosDaoImpl;
import com.ejie.ad74a.model.Estados;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = "classpath:test/application-context.xml")
public class TestEstadoDao {

	@Autowired
	private EstadosDao estadoDao;

	@Test
	@Transactional
	public void testInsertValidate() {
		Estados estado = new Estados();
		estado.setDescripcionEs30("asaa");
		estado.setDescripcionEu30("ssdsd");

		this.estadoDao.add(estado);

		Estados estadoFind = new Estados();
		estadoFind.setIdEstado30(1L);
		List<Estados> listaEstados = this.estadoDao.findAll(estadoFind, null);

	}

}
